Generate a script to install the gateway instance by Docker
GET /api/gateway_groups/{gateway_group_id}/deployment/docker
GET /api/gateway_groups/{gateway_group_id}/deployment/dockerInteractive request editor loads with JavaScript.
X-API-KEY<token>
In: header
Path Parameters
gateway_group_id*string
Gateway group ID.
Length
1 <= lengthQuery Parameters
dp_manager_address?string
The IP address of the control plane.
Length
1 <= lengthvalidity_period?integer
The validity period of the certificate in days.
Range
1 <= value <= 10950Default
3650image?string
Docker image.
Length
1 <= lengthhttp_port?integer
The HTTP port of the gateway.
Default
9080https_port?integer
The HTTPS port of the gateway.
Default
9443name?string
The hostname of the gateway.
Length
1 <= lengthextra_args[]?array<string>
Additional docker run arguments.
Response Body
text/plain
application/json
curl -X GET "$API_BASE_URL/api/gateway_groups/86fb9981-d9d2-4555-9df8-91ae92129335/deployment/docker?image=api7%2Fapi7-ee-3-gateway&extra_args%5B%5D=a%3Db&extra_args%5B%5D=c%3Dd"Successfully generated the Docker run command for data plane installation.
"docker run -d -e API7_CONTROL_PLANE_ENDPOINTS='[\"https://12.12.123.123:31344\"]' \\\n -e API7_GATEWAY_GROUP_SHORT_ID=tabqbdwnahkqo \\\n -e API7_CONTROL_PLANE_CERT=\"-----BEGIN CERTIFICATE-----\n MIIBhjCCATigAwIBAgICBAAwBQYDK2VwMEQxCzAJBgNVBAYTAlVTMRMwEQYDVQQI\n ...\n -----END CERTIFICATE-----\" \\\n -e API7_CONTROL_PLANE_KEY=\"-----BEGIN PRIVATE KEY-----\n ...\n -----END PRIVATE KEY-----\" \\\n -e API7_CONTROL_PLANE_CA=\"-----BEGIN CERTIFICATE-----\n MIIBdTCCASegAwIBAgIQVXqTFu/hH4caZptKdGp04zAFBgMrZXAwRDELMAkGA1UE\n ...\n -----END CERTIFICATE-----\" \\\n -e API7_CONTROL_PLANE_SNI=\"api7ee3-dp-manager\" \\\n -p 9080:9080 \\\n -p 9443:9443 \\\n api7/api7-ee-3-gateway:latest\n"Bad Request — The request was malformed or contained invalid parameters. Check the error_msg field for details.
{
"value": {},
"error_msg": "error message"
}Complete operation details and schema variants
GET /api/gateway_groups/{gateway_group_id}/deployment/docker
Generate a script to install the gateway instance by Docker
IAM Action: gateway:CreateGatewayInstance, Resource: arn:api7:gateway:gatewaygroup/%s
Parameters
dp_manager_address(query, string, optional):gateway_group_id(path, string, required): Gateway group ID.validity_period(query, integer, optional):image(query, string, optional): Docker image.http_port(query, integer, optional): The HTTP port of the gateway.https_port(query, integer, optional): The HTTPS port of the gateway.name(query, string, optional): The hostname of the gateway.extra_args[](query, array, optional): Additional docker run arguments.
Responses
200: Successfully generated the Docker run command for data plane installation.400: Bad Request — The request was malformed or contained invalid parameters. Check the error_msg field for details.value(object, optional): The specific resource.error_msg(string, optional): The error message.
cURL
curl -X GET '$API_BASE_URL/api/gateway_groups/{gateway_group_id}/deployment/docker'